# DataExchange
TKXSBase
StepData

# StepData_Described Class Reference

General frame to describe entities with Description (Simple or
Complex)
.

`#include <StepData_Described.hxx>`

Inheritance diagram for StepData_Described:

[legend]

## Public Member Functions

Standard_EXPORT Handle_StepData_EDescr | Description () const
| Returns the Description used to define this entity .
virtual Standard_EXPORT Standard_Boolean | IsComplex () const =0
| Tells if a described entity is complex .
virtual Standard_EXPORT Standard_Boolean | Matches (const Standard_CString steptype) const =0
| Tells if a step type is matched by <me> For a Simple Entity : own type or super type For a Complex Entity : one of the members .
virtual Standard_EXPORT Handle_StepData_Simple | As (const Standard_CString steptype) const =0
| Returns a Simple Entity which matches with a Type in <me> : For a Simple Entity : me if it matches, else a null handle For a Complex Entity : the member which matches, else null .
virtual Standard_EXPORT Standard_Boolean | HasField (const Standard_CString name) const =0
| Tells if a Field brings a given name .
virtual Standard_EXPORT const StepData_Field & | Field (const Standard_CString name) const =0
| Returns a Field from its name; read-only .
virtual Standard_EXPORT StepData_Field & | CField (const Standard_CString name)=0
| Returns a Field from its name; read or write .
virtual Standard_EXPORT void | Check (Handle(Interface_Check)&ach) const =0
| Fills a Check by using its Description .
virtual Standard_EXPORT void | Shared (Interface_EntityIterator &list) const =0
| Fills an EntityIterator with entities shared by <me> .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | StepData_Described (const Handle(StepData_EDescr)&descr)
| Initializes a Described Entity from a Description (i.e. puts it in a field ...) .

## Private Attributes

Handle_StepData_EDescr | thedescr

## Constructor & Destructor Documentation

Standard_EXPORT StepData_Described::StepData_Described | ( | const Handle(StepData_EDescr)& | descr | ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT Handle_StepData_Simple StepData_Described::As | ( | const Standard_CString | steptype | ) | const`[pure virtual]`

| Implemented in StepData_Plex, and StepData_Simple.

virtual Standard_EXPORT StepData_Field& StepData_Described::CField | ( | const Standard_CString | name | ) | `[pure virtual]`

| Implemented in StepData_Plex, and StepData_Simple.

virtual Standard_EXPORT void StepData_Described::Check | ( | Handle(Interface_Check)& | ach | ) | const`[pure virtual]`

| Implemented in StepData_Plex, and StepData_Simple.

Standard_EXPORT Handle_StepData_EDescr StepData_Described::Description | ( |  | ) | const

virtual Standard_EXPORT const StepData_Field& StepData_Described::Field | ( | const Standard_CString | name | ) | const`[pure virtual]`

| Implemented in StepData_Plex, and StepData_Simple.

Standard_EXPORT const StepData_Described::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepData_Plex, and StepData_Simple.

virtual Standard_EXPORT Standard_Boolean StepData_Described::HasField | ( | const Standard_CString | name | ) | const`[pure virtual]`

| Implemented in StepData_Plex, and StepData_Simple.

virtual Standard_EXPORT Standard_Boolean StepData_Described::IsComplex | ( |  | ) | const`[pure virtual]`

| Implemented in StepData_Plex, and StepData_Simple.

virtual Standard_EXPORT Standard_Boolean StepData_Described::Matches | ( | const Standard_CString | steptype | ) | const`[pure virtual]`

| Implemented in StepData_Plex, and StepData_Simple.

virtual Standard_EXPORT void StepData_Described::Shared | ( | Interface_EntityIterator & | list | ) | const`[pure virtual]`

| Implemented in StepData_Plex, and StepData_Simple.

## Field Documentation

Handle_StepData_EDescr StepData_Described::thedescr `[private]`

The documentation for this class was generated from the following file:

- StepData_Described.hxx